#!/bin/ksh

RSCT_PATH=/opt/rsct

if [[ ! -f hatsd.orig ]]
then
    print "Could not find original file \"hatsd.orig\""
    ls hatsd.orig
fi

LSSRC_HATS=$(lssrc -s cthats | tail -1)
HATS_STATE=${LSSRC_HATS##* }

if [[ $HATS_STATE != "inoperative" ]]
then
    print "Cannot remove while cthats is active:"
    print "$LSSRC_HATS"
    ${RSCT_PATH}/bin/lsrpdomain
    exit 1
fi


cp hatsd.orig ${RSCT_PATH}/bin/hatsd

print "Remove completed"

exit 0

